# Supplemental material for "Glacier geometry and flow speed determine how Arctic marine-terminating glaciers respond to lubricated beds"

**Whyjay Zheng**<sup>1, 2</sup>

<sup>1</sup>Department of Earth and Atmospheric Sciences, Cornell University, Ithaca, NY, USA

<sup>2</sup>Department of Statistics, University of California Berkeley, Berkeley, CA, USA

**Correspondence**: Whyjay Zheng (whyjz@berkeley.edu)

## Article link

Zheng, W. (2022). Glacier geometry and flow speed determine how Arctic marine-terminating glaciers respond to lubricated beds. The Cryosphere, 16(4), 1431–1445. https://doi.org/10.5194/tc-16-1431-2022

## Zenodo DOI and Binder Link

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.5641953.svg)](https://doi.org/10.5281/zenodo.5641953)
[![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/whyjz/pejzero/HEAD)

All the Jupyter Notebooks (in the “workflows” folder) are executable on the Binder server without installing additional dependencies. 

## Content of this Jupyter Book

1. Workflow for generating Figures 3, 4, and other supplementary figures
2. Workflow for generating Figure 5
3. Workflow for generating Figure 6 and the relevant data analysis
4. Workflow for generating Figure 7 and other supplementary figures

## Introduction

This supporting material provides ALL the workflows used in the study, including data retrieval, data ingest, analysis, and result visualization. The workflows are compiled based on their relevance to each Figure. Besides the static Jupyter Book pages, users can open a Binder session via the rocket-icon link found on each workflow page and execute the code with full reproducibility of the work presented in the study.

## Figures 1 and 2

Figures 1 and 2 are made using QGIS with the assist of the QGreenland package (glacier labels) and the Randolph Glacier Inventory version 6.0 (RGI6.0; glacier outlines). The other data necessary for the maps, including ITS_LIVE glacier speeds and flowline data, are available on the Github and Zenodo repositories. See the workflows of Figures 3, 4, and 7 for how to get them.

References:

1. Moon, T., Fisher, M., Harden, L., & Stafford, T. (2021). QGreenland (v1.0.1) [software] Available from https://qgreenland.org. https://doi.org/10.5281/zenodo.4558266
2. RGI Consortium (2017). Randolph Glacier Inventory – A Dataset of Global Glacier Outlines: Version 6.0: Technical Report, Global Land Ice Measurements from Space, Colorado, USA. Digital Media. https://doi.org/10.7265/N5-RGI-60